import request from '@/utils/request'

// 查询系统指令信息列表
export function listOrderInfo(query) {
  return request({
    url: '/manage/orderInfo/list',
    method: 'get',
    params: query
  })
}

// 查询系统指令信息详细
export function getOrderInfo(id) {
  return request({
    url: '/manage/orderInfo/' + id,
    method: 'get'
  })
}

// 新增系统指令信息
export function addOrderInfo(data) {
  return request({
    url: '/manage/orderInfo',
    method: 'post',
    data: data
  })
}

// 修改系统指令信息
export function updateOrderInfo(data) {
  return request({
    url: '/manage/orderInfo',
    method: 'put',
    data: data
  })
}

// 删除系统指令信息
export function delOrderInfo(id) {
  return request({
    url: '/manage/orderInfo/' + id,
    method: 'delete'
  })
}
